# Method: customBiddingAlgorithms.uploadScript

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms/uploadScript#try-it)

Creates a custom bidding script reference object for a script file.

The resulting reference object provides a resource path to which the script file should be uploaded. This reference object should be included in when creating a new custom bidding script object.

### HTTP request

`GET https://displayvideo.googleapis.com/v3/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadScript`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithmId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the custom bidding algorithm owns the script. |

### Query parameters

| Parameters ||
|---|---|
| Union parameter `owner`. Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. `owner` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent custom bidding algorithm. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts#CustomBiddingScriptRef`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).